#ifndef FE_FXENGINE
#define FE_FXENGINE

#include <fxengine/model/object.h>

void fe_add_object(fe_object * const o);
void fe_del_object(fe_object * const o);

void fe_load(); // Lance le thread de rendering
void fe_quit(); // Appelee depuis un timer, cette fonction rend la main au programme à la fin de la frame

// Callbacks (a executer au début et à la fin d'une interruption intervenant sur l'affichage)
void fe_callback_start();
void fe_callback_end();
void fe_draw(); // draw image, mais pour le rendu 3D

uint32_t fe_get_fps(); // Pas la fréquence d'affichage, mais la fréquence de rendu

#endif
