#ifndef FE_MATH
#define FE_MATH

#include <stdint.h>

// Custom calculation depth for trigonometric functions
void fe_set_trigo(uint32_t p);

uint32_t fe_get_trigo(void);


double fe_modulo_2pi(double a);

double fe_cos(double angle);

double fe_sin(const double angle);

/**
 * mathematics constants
 * TODO déplacer dans caméra
 */
#define pi  3.14159265358
#define pi2 6.28318530718
#define pi_sur_2 1.57079632679

#endif