#ifndef FE_MODEL_TRIANGLE
#define FE_MODEL_TRIANGLE

#include <fxengine/model/vertex.h>
#include <fxengine/model/bitmap.h>
#include <stdbool.h>
/* fe_triangle model
this struct makes 3d displaying easier */
typedef struct
{
    fe_vertex * s1;
    fe_vertex * s2;
    fe_vertex * s3;

    fe_bitmap * texture1;
    fe_bitmap * texture2;

    bool texture_half;
} fe_triangle;

/* fe_display_triangle() 
	displays a triangle from the previous model */
void fe_display_triangle(const fe_triangle * face);

#endif